summaryrefslogtreecommitdiffstats
path: root/source/n/pidentd
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/n/pidentd
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/pidentd')
-rwxr-xr-xsource/n/pidentd/pidentd.SlackBuild23
-rw-r--r--source/n/pidentd/pidentd.openssl-1.1.diff114
-rw-r--r--source/n/pidentd/slack-desc10
3 files changed, 136 insertions, 11 deletions
diff --git a/source/n/pidentd/pidentd.SlackBuild b/source/n/pidentd/pidentd.SlackBuild
index 2dbd49f47..841d497d6 100755
--- a/source/n/pidentd/pidentd.SlackBuild
+++ b/source/n/pidentd/pidentd.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,22 +20,32 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=pidentd
VERSION=3.0.19
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-pidentd
@@ -53,7 +63,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-zcat $CWD/pidentd.conf.diff.gz | patch -p1 --backup --verbose || exit
+zcat $CWD/pidentd.conf.diff.gz | patch -p1 --backup --verbose || exit 1
+zcat $CWD/pidentd.openssl-1.1.diff.gz | patch -p1 --backup --verbose || exit 1
CFLAGS=-O2 \
./configure \
diff --git a/source/n/pidentd/pidentd.openssl-1.1.diff b/source/n/pidentd/pidentd.openssl-1.1.diff
new file mode 100644
index 000000000..72682b4cc
--- /dev/null
+++ b/source/n/pidentd/pidentd.openssl-1.1.diff
@@ -0,0 +1,114 @@
+--- ./src/pdes.c.orig 2000-05-21 14:07:05.000000000 -0500
++++ ./src/pdes.c 2018-05-07 17:03:36.483003872 -0500
+@@ -46,7 +46,7 @@
+
+
+
+-static des_key_schedule sched;
++static DES_key_schedule sched;
+
+
+
+@@ -55,7 +55,7 @@
+ {
+ char keybuf[1024+1];
+ int fd, res;
+- des_cblock key_bin;
++ DES_cblock key_bin;
+
+
+ if (keyfile == NULL)
+@@ -100,8 +100,8 @@
+ }
+
+ keybuf[sizeof(keybuf)-1] = '\0';
+- des_string_to_key(keybuf, &key_bin);
+- des_set_key(&key_bin, sched);
++ DES_string_to_key(keybuf, &key_bin);
++ DES_set_key(&key_bin, &sched);
+
+ return 0;
+ }
+@@ -136,20 +136,20 @@
+ for (i = 1; i < 6; i++)
+ r.longs[0] ^= r.longs[i];
+
+- des_ecb_encrypt((des_cblock *)&(r.longs[0]), (des_cblock *)&(r.longs[0]),
+- sched, DES_ENCRYPT);
++ DES_ecb_encrypt((DES_cblock *)&(r.longs[0]), (DES_cblock *)&(r.longs[0]),
++ &sched, DES_ENCRYPT);
+
+ r.longs[2] ^= r.longs[0];
+ r.longs[3] ^= r.longs[1];
+
+- des_ecb_encrypt((des_cblock *)&(r.longs[2]), (des_cblock *)&(r.longs[2]),
+- sched, DES_ENCRYPT);
++ DES_ecb_encrypt((DES_cblock *)&(r.longs[2]), (DES_cblock *)&(r.longs[0]),
++ &sched, DES_ENCRYPT);
+
+ r.longs[4] ^= r.longs[2];
+ r.longs[5] ^= r.longs[3];
+
+- des_ecb_encrypt((des_cblock *)&(r.longs[4]), (des_cblock *)&(r.longs[4]),
+- sched, DES_ENCRYPT);
++ DES_ecb_encrypt((DES_cblock *)&(r.longs[4]), (DES_cblock *)&(r.longs[0]),
++ &sched, DES_ENCRYPT);
+
+ for (i = 0, j = 0; i < 24; i+=3, j+=4)
+ {
+--- ./src/idecrypt.c.orig 2001-04-23 15:40:15.000000000 -0500
++++ ./src/idecrypt.c 2018-05-07 17:04:20.897003874 -0500
+@@ -100,8 +100,8 @@
+ char buf1[32], buf2[32];
+ struct sockaddr_gen ip_local, ip_remote;
+ int keyfile_fd;
+- des_cblock key_bin;
+- des_key_schedule sched;
++ DES_cblock key_bin;
++ DES_key_schedule sched;
+ static char readable[256];
+
+
+@@ -118,9 +118,8 @@
+ while (read(keyfile_fd, keybuf, sizeof(keybuf)-1) == sizeof(keybuf)-1)
+ {
+ keybuf[sizeof(keybuf)-1] = '\0';
+- des_string_to_key(keybuf, &key_bin);
+- des_set_key(&key_bin, sched);
+-
++ DES_string_to_key(keybuf, &key_bin);
++ DES_set_key(&key_bin, &sched);
+
+ for (i = 0, j = 0; i < 24; i += 3, j += 4)
+ {
+@@ -129,21 +128,21 @@
+ r.chars[i+2] = (to_bin[packet[j+2]] << 6) + (to_bin[packet[j+3]]);
+ }
+
+- des_ecb_encrypt((des_cblock *)&(r.longs[4]),
+- (des_cblock *)&(r.longs[4]),
+- sched, DES_DECRYPT);
++ DES_ecb_encrypt((DES_cblock *)&(r.longs[i+2]),
++ (DES_cblock *)&(r.longs[i+2]),
++ &sched, DES_DECRYPT);
+ r.longs[4] ^= r.longs[2];
+ r.longs[5] ^= r.longs[3];
+
+- des_ecb_encrypt((des_cblock *)&(r.longs[2]),
+- (des_cblock *)&(r.longs[2]),
+- sched, DES_DECRYPT);
++ DES_ecb_encrypt((DES_cblock *)&(r.longs[0]),
++ (DES_cblock *)&(r.longs[0]),
++ &sched, DES_DECRYPT);
+
+ r.longs[2] ^= r.longs[0];
+ r.longs[3] ^= r.longs[1];
+- des_ecb_encrypt((des_cblock *)&(r.longs[0]),
+- (des_cblock *)&(r.longs[0]),
+- sched, DES_DECRYPT);
++ DES_ecb_encrypt((DES_cblock *)&(r.longs[0]),
++ (DES_cblock *)&(r.longs[0]),
++ &sched, DES_DECRYPT);
+
+ for (i = 1; i < 6; i++)
+ {
diff --git a/source/n/pidentd/slack-desc b/source/n/pidentd/slack-desc
index 3229f5e88..96c596e6b 100644
--- a/source/n/pidentd/slack-desc
+++ b/source/n/pidentd/slack-desc
@@ -1,18 +1,18 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
pidentd: pidentd (TCP/IP IDENT protocol server)
pidentd:
pidentd: The identd daemon implements the IDENT protocol as specified in
-pidentd: RFC1413. When your machine connects to a remote system, the remote
+pidentd: RFC1413. When your machine connects to a remote system, the remote
pidentd: machine may connect to your identd daemon to find out either the
pidentd: user name or other information about the process that initiated
-pidentd: the connection. Some remote machines may choose not to allow your
+pidentd: the connection. Some remote machines may choose not to allow your
pidentd: connections if you do not provide access to an identd daemon.
pidentd:
pidentd: The pidentd daemon was written by Peter Eriksson.